{
  config,
  lib,
  ...
}:
let
  inherit (config.machine.xray-3x-ui)
    enable
    port
    ;
in
with lib;
mkIf enable {
  networking.firewall.allowedTCPPorts = [
    # Web panel
    port

    # SSL & HTTP
    80
    443

    # Inbounds
    1082
  ];
}
